/**
 * DevExtreme (cjs/renovation/ui/pager/common/pager_props.js)
 * Version: 21.1.7 (build 22026-1254)
 * Build date: Wed Jan 26 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.PagerProps = void 0;
var PagerProps = {
    gridCompatibility: true,
    showInfo: false,
    displayMode: "adaptive",
    maxPagesCount: 10,
    pageCount: 10,
    visible: true,
    hasKnownLastPage: true,
    pagesNavigatorVisible: "auto",
    showPageSizes: true,
    pageSizes: [5, 10],
    showNavigationButtons: false,
    totalCount: 0,
    defaultPageIndex: 1,
    defaultPageSize: 5
};
exports.PagerProps = PagerProps;
